Copyright holders:

2016--2017    Jakub Both
2016--2017    Ansgar Burchardt
2013--2018    Christian Engwer
2015          Elisa Friebel
2013          Christoph Gersbacher
2013          Stefan Girke
2013--2018    Carsten Gräser
2015--2018    Felix Gruber
2015--2016    Christoph Grüninger
2017--2018    Lasse Hinrichsen
2017          Max Kahnt
2016--2018    Dominic Kempf
2015          Angela Klewinghaus
2017          Tobias Malkmus
2013--2018    Steffen Müthing
2017          Martin Nolte
2015--2017    Elias Pipping
2018          Simon Praetorius
2018          Lukas Renelt
2013--2018    Oliver Sander
2015          Jonathan Youett



The dune-functions library, headers and test programs are copyrighted free software. You
can use, modify and/or redistribute it under the terms of either one of the two
following licenses:

* The GNU Lesser General Public License as published by the Free Software
  Foundation, either Version 3 of the license or (at your option) any later
  version. You can find a copy of the GNU Lesser General Public License, Version
  3, in the files GPL-3 and LGPL-3 or at <http://www.gnu.org/licenses/lgpl-3.0>.

* Version 2 of the GNU General Public License as published by the Free Software
  Foundation, with the following special exception for linking and compiling
  against the dune-functions library, the so-called "runtime exception":

    As a special exception, you may use the dune-functions source files as part of a
    software library or application without restriction.  Specifically, if other
    files instantiate templates or use macros or inline functions from one or
    more of the dune-functions source files, or you compile one or more of the dune-functions
    source files and link them with other files to produce an executable, this
    does not by itself cause the resulting executable to be covered by the GNU
    General Public License.  This exception does not however invalidate any
    other reasons why the executable file might be covered by the GNU General
    Public License.

  This license is intended to be similar to the GNU Lesser General Public
  License, Version 2, which by itself isn't suitable for a template library. You
  can find a copy of the GNU General Public License, Version 2, in the file
  GPL-2 or at <http://www.gnu.org/licenses/gpl-2.0>.
